# $Revision: 1.70 $, $Date: 2009/09/15 10:36:11 $
#
# WARNING: despite unchanged SONAME, the RSA ABI (and API) has changed since 3.x!
#
# Conditional build:
%bcond_without	java	# build with Java support
%bcond_with	javac		# use javac instead of gcj
%bcond_without	python		# don't build python module
%bcond_without	doc		# don't build documentation
%bcond_without	static_libs	# don't build static libraries
#
Summary:	The BeeCrypt Cryptography Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna BeeCrypt
Name:		beecrypt
Version:	4.1.2
Release:	8
Epoch:		2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/beecrypt/%{name}-%{version}.tar.gz
# Source0-md5:	820d26437843ab0a6a8a5151a73a657c
Patch0:		%{name}-opt.patch
Patch1:		%{name}-lib64_fix.patch
Patch2:		%{name}-ac_python.patch
URL:		http://sourceforge.net/projects/beecrypt/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%if %{with doc}
BuildRequires:	doxygen
%endif
%if %{with java} && !%{with javac}
%ifarch i586 i686 athlon pentium3 pentium4 %{x8664}
BuildRequires:	jdk
%else
BuildRequires:	gcc-java
BuildRequires:	libgcj-devel
%endif
%endif
%if %{with doc}
BuildRequires:	ghostscript
BuildRequires:	graphviz
%endif
%if %{with java} && %{with javac}
BuildRequires:	jdk
%endif
BuildRequires:	libtool
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%endif
BuildRequires:	rpmbuild(macros) >= 1.213
%if %{with doc}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-latex-dstroke
# note: this is incorrect place, it should be somewhere in tetex packages
BuildRequires:	tetex-metafont
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_alpha		 -mno-explicit-relocs

%description
BeeCrypt is an open source cryptography library that contains highly
optimized C and assembler implementations of many well-known
algorithms including Blowfish, MD5, SHA-1, Diffie-Hellman, and
ElGamal.

%description -l pl.UTF-8
BeeCrypt jest open sourcową biblioteką, która zawiera wysoko
zoptymailzowane funkcje w C oraz assemblerze wielu algorytmów
szyfrowania m.in.: Blowfish, MD5, SHA-1, Diffie-Hellman oraz ElGamal.

%package devel
Summary:	The BeeCrypt Cryptography Library - development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki BeeCrypt
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The BeeCrypt Cryptography Library - development files.

%description devel -l pl.UTF-8
Biblioteka kryptograficzna BeeCrypt - pliki dla programistów.

%package static
Summary:	The BeeCrypt Cryptography Library - static library
Summary(pl.UTF-8):	Biblioteka statyczna BeeCrypt
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The BeeCrypt Cryptography Library - static library.

%description static -l pl.UTF-8
Biblioteka statyczna BeeCrypt.

%package doc
Summary:	Development documentation for BeeCrypt
Summary(pl.UTF-8):	Dokumentacja programisty dla biblioteki BeeCrypt
Group:		Documentation

%description doc
Development documentation for BeeCrypt.

%description doc -l pl.UTF-8
Dokumentacja programisty dla biblioteki BeeCrypt.

%package java
Summary:	BeeCrypt Java glue library
Summary(pl.UTF-8):	Biblioteka łącząca BeeCrypt z Javą
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description java
BeeCrypt Java glue library.

%description java -l pl.UTF-8
Biblioteka łącząca BeeCrypt z Javą.

%package java-devel
Summary:	Development files for BeeCrypt Java glue library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki łączącej Beecrypt z Javą
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-java = %{epoch}:%{version}-%{release}

%description java-devel
Development files for BeeCrypt Java glue library.

%description java-devel -l pl.UTF-8
Pliki programistyczne biblioteki łączącej Beecrypt z Javą.

%package java-static
Summary:	BeeCrypt Java glue static library
Summary(pl.UTF-8):	Statyczna biblioteka łącząca BeeCrypt z Javą
Group:		Development/Libraries
Requires:	%{name}-java-devel = %{epoch}:%{version}-%{release}

%description java-static
BeeCrypt Java glue static library.

%description java-static -l pl.UTF-8
Statyczna biblioteka łącząca BeeCrypt z Javą.

%package -n python-beecrypt
Summary:	Python interface to BeeCrypt library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki BeeCrypt
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-beecrypt
The python-beecrypt package contains a module which permits
applications written in the Python programming language to use the
interface supplied by BeeCrypt libraries.

%description -n python-beecrypt -l pl.UTF-8
Pakiet python-beecrypt zawiera moduł, który pozwala aplikacjom
napisanym w Pythonie na używanie interfejsu dostarczanego przez
bibliotekę BeeCrytp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# --with-cplusplus or building (even empty) *.cxx into libbeecrypt
# makes it (and thus rpm) depending on libstdc++ which is unacceptable
%{__perl} -pi -e 's/ cppglue\.cxx$//' Makefile.am
# only html docs
%{__perl} -pi -e 's/^GENERATE_LATEX .*/GENERATE_LATEX = NO/' Doxyfile.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_javac:ac_cv_have_gcj=no} \
	--without-cplusplus \
	--with%{!?with_java:out}-java \
	--with-cpu=%{_target_cpu} \
	%{!?with_static_libs:--enable-static=no} \
%ifarch %{x8664}
	--with-arch=x86_64 \
%else
	--with-arch=%{_target_cpu} \
%endif
	--with-pic \
	--with%{!?with_python:out}-python
%{__make}

%if %{with python}
%{__make} -C python
%endif

%if %{with doc}
doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
%{__make} install -C python \
	DESTDIR=$RPM_BUILD_ROOT
%endif

mv -f $RPM_BUILD_ROOT%{_libdir}/libbeecrypt.so.*.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libbeecrypt.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libbeecrypt.so

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	java -p /sbin/ldconfig
%postun	java -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BENCHMARKS BUGS CONTRIBUTORS NEWS README
%attr(755,root,root) /%{_lib}/libbeecrypt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbeecrypt.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt.so
%{_libdir}/libbeecrypt.la
%{_includedir}/beecrypt

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbeecrypt.a
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt_java.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbeecrypt_java.so.0

%files java-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt_java.so
%{_libdir}/libbeecrypt_java.la

%if %{with static_libs}
%files java-static
%defattr(644,root,root,755)
%{_libdir}/libbeecrypt_java.a
%endif
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc docs/html
%endif

%if %{with python}
%files -n python-beecrypt
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: beecrypt.spec,v $
Revision 1.70  2009/09/15 10:36:11  tommat
- one more soname symlink

Revision 1.69  2009/09/15 10:09:27  tommat
- more strict

Revision 1.68  2009/09/15 09:59:16  tommat
- ghost soname symlink

Revision 1.67  2008/10/17 07:57:08  megabajt
- release 8

Revision 1.66  2008/07/27 23:04:47  arekm
- release 7

Revision 1.65  2007-11-09 11:29:27  hawk
- BR: rpm-pythonprov

Revision 1.64  2007-02-12 21:23:49  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.62  2006/11/27 08:10:18  qboosh
- tab

Revision 1.61  2006/11/26 20:22:54  arekm
- use jdk for supported platforms; otherwise gcc-java

Revision 1.60  2006/11/26 18:34:04  arekm
- rel 6

Revision 1.59  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.58  2005/08/04 08:00:10  qrczak
- It seems that ./configure wants --with(out)-java, not --with(out)-javaglue
- Release 5

Revision 1.57  2005/07/16 14:45:32  qboosh
- docs/html contains too many/too long filenames to use "docs/html/*"

Revision 1.56  2005/06/22 13:52:01  qboosh
- merged libbeecrypt move to /%{_lib} from AC-branch (but in simpler way)
- release 4

Revision 1.55  2005/06/17 19:49:27  twittner
- added bcond_without static_libs

Revision 1.54  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.53  2005/03/21 18:29:53  mmazur
- rel 2 for th

Revision 1.52  2005/03/19 17:24:41  mmazur
- s/javaglue/java/ (Gentoo's unification of USE flags is a nice thing you know)

Revision 1.51  2005/02/21 20:39:26  qboosh
- pass proper arch on amd64 - builds now

Revision 1.50  2005/02/21 09:03:21  qboosh
- BR s/gcj/gcc-java/

Revision 1.49  2005/02/02 09:12:15  speedy
- new bcond: doc (don't build documentations)

Revision 1.48  2004/12/30 18:13:11  wolf
- BR: tetex-metafont (should be somewhere in tetex-*, not here)

Revision 1.47  2004/12/24 16:25:26  qboosh
- sf workaround

Revision 1.46  2004/12/24 13:21:59  qboosh
- updated to 4.1.2
- separated javaglue code, proper java BRs

Revision 1.45  2004/12/21 13:29:11  saq
- missing BR

Revision 1.44  2004/11/30 21:35:30  pbern
- add BR: libgcj-devel

Revision 1.43  2004/11/20 19:06:06  qboosh
- updated to 4.1.1

Revision 1.42  2004/11/20 17:09:02  qboosh
- doxygen needs ghostscript,tetex-dvips,tetex-format-latex,tetex-latex-dstroke
- separate html docs to -doc (much larger than -devel)

Revision 1.41  2004/11/18 14:46:03  arekm
- up to 4.1.0

Revision 1.40  2004/10/31 17:07:10  witekfl
- documentation generated with doxygen
- rel 2

Revision 1.39  2004/09/16 19:14:01  twittner
- added -ac_python.patch - fix for python sitedir path
- added BR: python-modules

Revision 1.38  2004/08/03 21:41:40  qboosh
- big fat warning about changed RSA ABI

Revision 1.37  2004/07/31 23:47:40  qboosh
- updated to 4.0.0, updated opt,lib64_fix patches, removed obsolete python patch
- cplusplus must stay disabled to avoid rpm dependency on libstdc++

Revision 1.36  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.35  2004/06/20 21:36:28  arekm
- fix specflags (quotation here is buggy)

Revision 1.34  2004/06/12 19:29:47  mmazur
- without python bcond

Revision 1.33  2004/02/29 20:10:02  andree
- BR: python-devel

Revision 1.32  2004/02/26 05:03:02  pluto
- strict deps.

Revision 1.31  2004/01/02 15:38:11  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.30  2003/12/21 17:27:25  jajcus
- don't move libraries to proper libdir but make them compile and install with proper libdir (by passing paths to make)

Revision 1.29  2003/12/18 19:00:27  qboosh
- fixed bconds

Revision 1.28  2003/12/18 18:48:02  jajcus
- libdir files placement workaround for amd64
- without_python bcond (usefull during bootstrap)
- new bconds

Revision 1.27  2003/09/04 15:56:07  mmazur
- seems like broken python deps on ftp. rel 2 and rebuild to see what happens

Revision 1.26  2003/08/26 09:10:55  qboosh
- 3.1.0, updated python patch

Revision 1.25  2003/08/23 20:49:41  mmazur
- the One True Way to add arch specific CFLAGS

Revision 1.24  2003/08/23 19:55:23  mmazur
- alpha fix

Revision 1.23  2003/08/23 16:10:36  mmazur
- rel 4 for ac

Revision 1.22  2003/08/09 10:21:04  qrczak
- Add --with-python
- Release 3

Revision 1.21  2003/08/06 16:34:05  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.20  2003/07/01 13:36:31  areq
- Release 2

Revision 1.19  2003/06/26 18:08:24  mmazur
- no need for /usr/lib64 to be used... it kills the package on alpha

Revision 1.18  2003/06/23 16:48:54  grzegol
- fixed %%{epoch}:%%{version} issue

Revision 1.17  2003/06/23 13:45:39  qboosh
- final 3.0.0, updated python patch

Revision 1.16  2003/06/11 06:55:48  cieciwa
- add %%include /usr/lib/rpm/macros.python

Revision 1.15  2003/06/10 23:49:46  wiget
- updated to 20030610 snaps
- added subpackage with Python bindings
- removed already applied from_rpm patch
- added python patch to fix building Python module

Revision 1.14  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:45:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/19 19:40:31  qboosh
- pass CPU tuning to configure scripts, added opt patch to better exploit
  athlon (I'm not sure if -O3 forced by configure is the best option...
  but decided not to remove without checking)
- removed win32-specific READMEs, added BENCHMARKING

Revision 1.11  2003/05/18 22:25:10  misiek
Epoch: 2

Revision 1.10  2003/05/17 23:29:20  wiget
- updated to 3.0.0pre snap 20030516
- added from_rpm.patch with additional base64 support

Revision 1.9  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/10 12:03:29  marcus
- use new %%doc

Revision 1.7  2002/04/25 15:52:40  arturs
fixed a small typo

Revision 1.6  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/03 16:29:16  kloczek
- release 2.

Revision 1.3  2001/12/03 11:55:09  qboosh
- pl summaries

Revision 1.2  2001/12/01 20:18:09  kloczek
- added static subpackage (added --enable-static to autoconf parameters),
- added using more macros (%%configure2_13) and DESTDIR style %install,
- added correct %pos/%postun,
- simplification in %files adn correct separation resources to main and
  devel subpackage).
NOTE: probaby this pacjge isn't correctly portable (depending on target
platform passed to autocionf script).

Revision 1.1  2001/12/01 17:46:38  czarny
- init PLD spec
